<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m221010_124540_document_is_sent
 */
class m221010_124540_document_is_sent extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('quotation', 'is_sent', Schema::TYPE_BOOLEAN);
        $this->addColumn('delivery_note', 'is_sent', Schema::TYPE_BOOLEAN);
        $this->addColumn('invoice', 'is_sent', Schema::TYPE_BOOLEAN);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('quotation', 'is_sent');
        $this->dropColumn('delivery_note', 'is_sent');
        $this->dropColumn('invoice', 'is_sent');
    }
}
